Mailinglist Archive: opensuse-factory (826 mails)

< Previous Next >
Re: [opensuse-factory] eclipse-swt broken in TW (or maybe not TW only)
On Tue, 2017-10-24 at 23:27 +1000, Konstantin Voinov wrote:
Hi all.

I found that running swt-apps such tuxguitar gives an error:

Cannot load 32-bit SWT libraries on 64-bit JVM

and META-INF/MANIFEST.MF
contains:
SWT-Arch: x86

(but *.so in rpm are 64-bit all)

eclipse-swt-4.333-10.1.x86_64.rpm from TW repo

reinstalling eclipse-swt-4.333-29.1.x86_64.rpm from
https://build.opensuse.org/package/show/Java%3Apackages/eclipse-swt
resolves such mistake.
I didn't dig into differences in specs and build process though

Snapshot 1023 will bring a fixed eclipse-swt (containing the fixes from
Java:Packages) - that snapshot is currently building and will move to
openQA afterwards; you can expect a release tomorrow (unless issues are
found of course)

osc log openSUSE:Factory eclipse-swt
r24 | dimstar_suse | 2017-10-23 14:52:19 |
6bd348c35dfa043734aa38a319a58b69 | 4.333 | rq535788

Specify the right swt.arch in manifest file (bsc#1062807)

Cheers,
Dominique
< Previous Next >
References